%define major   9
%define libname %mklibname zim %{major}
%define devname %mklibname zim -d

Name:           libzim
Version:        9.3.0
Release:        %mkrel 1
Summary:        Reference implementation of the ZIM specification
Group:          System/Libraries
License:        GPL-2.0-only AND Apache-2.0 AND BSD-3-Clause
URL:            https://github.com/openzim/libzim
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Fix-build-with-ICU-76.patch

BuildRequires:  meson
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(xapian-core)
BuildRequires:  pkgconfig(zlib)

%description
The ZIM library is the reference implementation for the ZIM file
format. It's a solution to read and write ZIM files on many systems
and architectures.

#------------------------------------------------

%package -n     %{libname}
Summary:        Reference implementation of the ZIM specification
Group:          System/Libraries
Provides:       zimlib = %{version}-%{release}

%description -n %{libname}
The ZIM library is the reference implementation for the ZIM file
format. It's a solution to read and write ZIM files on many systems
and architectures.

#------------------------------------------------

%package -n     %{devname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       zim-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dwerror=false
%meson_build

%install
%meson_install

%files -n %{libname}
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/zim
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 9.3.0-1.mga10
+ Revision: 2191067
- new version: 9.3.0

* Sun Jan 12 2025 daviddavid <daviddavid> 9.2.3-2.mga10
+ Revision: 2138492
- backport upstream patch to fix build with icu 76
+ wally <wally>
- rebuild for icu 76.1

* Mon Sep 09 2024 daviddavid <daviddavid> 9.2.3-1.mga10
+ Revision: 2094600
- new version: 9.2.3

* Wed Jun 26 2024 daviddavid <daviddavid> 9.2.2-1.mga10
+ Revision: 2077159
- new version: 9.2.2

* Thu May 23 2024 daviddavid <daviddavid> 9.2.1-1.mga10
+ Revision: 2066847
- new version: 9.2.1

* Sun Apr 21 2024 daviddavid <daviddavid> 9.2.0-1.mga10
+ Revision: 2060231
- new version: 9.2.0

* Wed Dec 27 2023 daviddavid <daviddavid> 9.1.0-1.mga10
+ Revision: 2022008
- new version: 9.1.0

* Tue Dec 05 2023 daviddavid <daviddavid> 9.0.0-1.mga10
+ Revision: 2013187
- new version: 9.0.0
- now libmajor is 9

* Mon Dec 04 2023 daviddavid <daviddavid> 8.2.1-1.mga10
+ Revision: 2013102
- initial package libzim (needed for qstardict)

